Skip to main content
POST
/
v1
/
connection-data-source
/
{connectionDataSourceId}
/
get-data
Get Data For Connection Data Source
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connection-data-source/{connectionDataSourceId}/get-data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "engagementId": "<string>",
  "limit": 1,
  "offset": 1
}
'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": "<string>",
  "entityType": "ORGANIZATION",
  "error": "<string>",
  "errorMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connectionDataSourceId
string
required

Body

application/json
engagementId
string
required

Identifies the engagement that the resulting Data Table will be associated with.

filter
object

Optional filter to apply to the data retrieval. If not set, all rows are returned unfiltered.

limit
integer<int64>

Maximum number of rows to return. If not set, all matching rows are returned.

Required range: x >= 0
offset
integer<int64>

Number of rows to skip before returning results. If not set, results start from the first row.

Required range: x >= 0

Response

202 - application/json

Accepted

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB,
CONNECTION_TEST,
CONNECTION_TABLES,
DATA_TABLE
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
string

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE,
CONNECTION_TEST_RESULT,
CONNECTION_TABLES_RESULT,
DATA_TABLE
error
string

The reason why the async job failed.

errorMessage
string